Page MenuHomePhabricator

PNG replacement image for .SVG does not show transparency gradient correctly
Open, NormalPublic

Description

Author: RainerBielefeldNG

Description:
Under a.m. URL you see
http://upload.wikimedia.org/wikipedia/commons/thumb/7/74/Rotary_vane_pump_principle_%28System_Willimczik%29.svg/800px-Rotary_vane_pump_principle_%28System_Willimczik%29.svg.png
which is the replacement for the original .svg

Most of the image looks fine, but at the area "Einlass" the rotation of the blue
transparent area is not correct, and at "Auslass" the transparent red ellipse is
shown as a rectangle.

Image
http://upload.wikimedia.org/wikipedia/commons/7/74/Rotary_vane_pump_principle_%28System_Willimczik%29.svg
will be shown without that problem in Seamonkey-browser and IE6

You can see how it should look correctla at the old .png version
http://de.wikipedia.org/wiki/Bild:DrehschieberNachWolfhart.jpg


Version: unspecified
Severity: normal
OS: Windows XP
Platform: PC
URL: http://commons.wikimedia.org/wiki/Image:Rotary_vane_pump_principle_%28System_Willimczik%29.svg

Details

Reference
bz6250

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 9:18 PM
bzimport set Reference to bz6250.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Jun 9 2006, 1:49 PM
brion added a comment.Aug 3 2009, 4:53 PM

Assigning SVG bugs to Ariel -- need a cleanup pass to see what's fixed up by a librsvg upgrade, what can be resolved with fixes to our font configuration, what can be fixed on our end, and what still needs to be pushed upstream.

giving SVG bugs back to the pool.

TheDJ added a comment.Dec 4 2011, 10:17 PM

Issue still exists after recent librsvg update

brion added a comment.Dec 4 2011, 10:30 PM

Looks like two major problems:

  • mask is not applied to those blue and red gradient areas
  • text is positioned incorrectly

(In reply to comment #3)

Issue still exists after recent librsvg update

Here is a real example for a mask with gradient doesn't work. But this seems dependent on resolution: http://upload.wikimedia.org/wikipedia/de/thumb/archive/4/45/20120920225516!Ziehl_logo2.svg/500px-Ziehl_logo2.svg.png

near correctly at resolution 300px: http://upload.wikimedia.org/wikipedia/de/thumb/archive/4/45/20120920225516!Ziehl_logo2.svg/300px-Ziehl_logo2.svg.png

It seems also that the gradient from the mask shifts, with higher resolution, maybe this is the reason.

SVG not rendered (should look correctly):
http://upload.wikimedia.org/wikipedia/de/archive/4/45/20120920225516!Ziehl_logo2.svg

Hint: the version from 21. Sep. 2012 is "fixed" by replacing/removing the mask with color gradient. clipPath is indeed involved here, but seems to have no causal involvement.(In reply to comment #3)

Issue still exists after recent librsvg update

(In reply to comment #3)

Issue still exists after recent librsvg update

Here is a real example for a mask with gradient doesn't work. But this seems dependent on resolution: http://upload.wikimedia.org/wikipedia/de/thumb/archive/4/45/20120920225516!Ziehl_logo2.svg/500px-Ziehl_logo2.svg.png

near correctly at resolution 300px: http://upload.wikimedia.org/wikipedia/de/thumb/archive/4/45/20120920225516!Ziehl_logo2.svg/300px-Ziehl_logo2.svg.png

It seems also that the gradient from the mask shifts, with higher resolution, maybe this is the reason.

SVG not rendered (should look correctly):
http://upload.wikimedia.org/wikipedia/de/archive/4/45/20120920225516!Ziehl_logo2.svg

Hint: the version from 21. Sep. 2012 is "fixed" by replacing/removing the mask with color gradient. clipPath is indeed involved here, but seems to have no causal involvement. There are also some inconsistents with cloned gradients with gradientTransform in browser and SVG-editors

(In reply to comment #3)

Issue still exists after recent librsvg update

Mask with a gradient get lost or disorientated (dependeing on rendering resolution)

The purple gradient disappear also in some cases.

Attached:

(In reply to PRO from comment #8)

The attachment from me can be deleted, it is here:
http://commons.wikimedia.org/wiki/File:SVG_mask_gradient_bug.svg

We generally dont delete attachments unless there is specific reason to (e.g. privacy concerns)

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 19 2015, 6:55 PM
gpaumier removed a subscriber: gpaumier.Jul 18 2018, 5:57 PM